-- newAttacherJointZusatzschaar Type
-- Specialisation for create a new attacherJoint Type
--
-- Ersteller: Börndi
-- Datum: 23/05/12

newAttacherJointZusatzschaar = {};

Vehicle.registerJointType("RabeSupertaubeZusatzschaar");

function newAttacherJointZusatzschaar.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function newAttacherJointZusatzschaar:load(xmlFile)		
end;

function newAttacherJointZusatzschaar:delete()
end;

function newAttacherJointZusatzschaar:getIsTurnedOnAttachedImplements()
end;

function newAttacherJointZusatzschaar:readStream(streamId, connection)
end;

function newAttacherJointZusatzschaar:writeStream(streamId, connection)	
end;

function newAttacherJointZusatzschaar:mouseEvent(posX, posY, isDown, isUp, button)
end;

function newAttacherJointZusatzschaar:keyEvent(unicode, sym, modifier, isDown)
end;

function newAttacherJointZusatzschaar:update(dt)
end;

function newAttacherJointZusatzschaar:updateTick(dt)
end;

function newAttacherJointZusatzschaar:draw()
end;